YATE(8)

NAME
yate - launch the YATE telephony engine

SYNOPSIS
yate [options] [commands]

DESCRIPTION
yate is a telephony engine that supports client, PBX and IVR functions trough plugins.

OPTIONS

  General

-h, --help
    Display a short help message and exit

-V, --version
    Display program version and exit

-v  Verbose logging (you can use more than once)

-q  Quieter logging (you can use more than once)

-d  Daemonify, suppress output unless logged

-s  Supervised, restart if crashes or locks up

-r  Enable rotation of log file (needs -s and -l)

-l filename
    Log to file - should be used whenever running in daemon mode

-p filename
    Write PID of the supervisor or primary thread to file

-n configname
    Use specified configuration name, overrides default "yate"

-c pathname
    Path to conf files directory, overrides compiled-in value

-u pathname
    Path to user data files directory, overrides compiled-in value

-m pathname
    Path to modules directory, overrides compiled-in value

-e pathname
    Path to shared directory, overrides compiled-in value

-x relpath
    Relative path to extra modules directory (can be repeated)

-w directory
    Change working directory

-N nodename
    Set the name of the node in a cluster

  Debugging options (may not be compiled in)

-C  Enable core dumps if supported by the operating system

-F  Increase the maximum file handle to compiled value

-t  Truncate the log file instead of appending to it

-D[options]
    Special debugging options

-Da Abort (coredumps if allowed) if bugs are encountered

-Dm Attempt to debug mutex deadlocks by setting a maximum 10s limit, if repeated halves the limit

-Dd Enable some locking debugging and safety features, degrades performance

-Dl Attempt to load modules without having their symbols globally visible

-Dc Call dlclose() until it gets an error

-Du Do not unload modules, just try to call thier finalization code

-Di Reinitialize after first initialization

-Dx Exit immediately after initialization

-Dw Delay for one second the creation of the first worker thread

-Do Colorize the output using ANSI control character sequences

-Ds Abort if bugs are encountered even during shutdown

-DO Attempt to debug all object allocations by counting objects per plugin, degrades performance

-Dt Add start time relative timestamps to debugging messages

-De Add EPOCH (1-1-1970 GMT) based timestamps to debugging messages

-Df Add GMT timestamps to debugging messages in format YYYYMMDDhhmmss.uuuuuu

-DF Add GMT timestamps to debugging messages in format YYYY-MM-DD_hh:mm:ss.uuuuuu

-Dz Add local timezone timestamps to debugging messages in format YYYYMMDDhhmmss.uuuuuu

-DZ Add local timezone timestamps to debugging messages in format YYYY-MM-DD_hh:mm:ss.uuuuuu

COMMANDS
Each command is sent to the YATE modules immediately after initialization. Modules define command syntax so that is not described here. Please look at the documentation for each module.

SIGNALS

- SIGTERM and SIGINT (Ctrl-C) will cleanly stop the engine

- SIGQUIT (Ctrl-\) will reinitialize the modules

- SIGHUP will reinitialize the modules if started in daemon mode (-d)

- SIGUSR1 will initiate a gracefull restart (when no plugin is busy)

- SIGUSR2 will initiate an immediate restart

BUGS
Under various *BSD implementations the dlclose() function is broken and may generate a segfault on exit.

Some libpthread implementations are broken and may fail to start the threads or fail to cleanup when the thread terminates.

AUTHORS
Paul Chitescu <paulc@voip.null.ro>
Diana Cionoiu <diana@voip.null.ro>

SEE ALSO
yate-config(8)